Name:           perl-MooX-TypeTiny
Version:        0.002003
Release:        2%{?dist}
Summary:        Optimized type checks for Moo + Type::Tiny
License:        GPL+ or Artistic

URL:            https://metacpan.org/dist/MooX-TypeTiny
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/MooX-TypeTiny-%{version}.tar.gz

BuildArch:      noarch
# build requirements
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# runtime requirements
BuildRequires:  perl(Moo) >= 2.004
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Sub::Quote)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# test requirements
BuildRequires:  perl(Test::Fatal) >= 0.003
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(Type::Tiny) >= 1.008
BuildRequires:  perl(Types::Standard)
Requires:       perl(:MODULE_COMPAT_%(eval "`/usr/bin/perl -V:version`"; echo $version))
Requires:       perl(Moo) >= 2.004
Requires:       perl(Type::Tiny) >= 1.008

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}perl\\(Moo::_


%description
This module optimizes Moo type checks when used with Type::Tiny to perform
better. It will automatically apply to isa checks and coercions that use
Type::Tiny. Non-Type::Tiny isa checks will work as normal.

%prep
%setup -q -n MooX-TypeTiny-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{make_build} test

%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/MooX*
%{_mandir}/man3/MooX*

%changelog
* Thu Sep 16 2021 Emmanuel Seyman <emmanuel@seyman.fr> - 0.002003-2
- Take into account review feedback (#2004268)

* Tue Sep 14 2021 Emmanuel Seyman <emmanuel@seyman.fr> - 0.002003-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
